Create New a New Optionlist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
POST /profiles/{profile_id}/optionlists

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

application/json

Body

  • name string Required
  • reference_id string
  • option_icons string

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id number Required

      the created option list id

POST /profiles/{profile_id}/optionlists
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self/optionlists' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '{
  "name": "System Grade"
}'
Request example
{
  "name": "System Grade"
}
Response examples (201)
{
  "id": 393655
}